org.flexdock.dockbar.event

## Class ActivationListener

- java.lang.Object
- - org.flexdock.dockbar.event.ActivationListener

-     public class ActivationListener
      extends java.lang.Object

  Author:
    Christopher Butler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivationListener(DockbarManager mgr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isActive()`
    `boolean` | `isAvailable()`
    `boolean` | `isEnabled()`
    `boolean` | `isMouseOver()`
    `boolean` | `isViewpaneLocked()`
    `void` | `lockViewpane()`
    `void` | `mouseEntered(java.awt.Point mousePoint)`
    `void` | `mouseExited(java.awt.Point mousePoint)`
    `void` | `mousePressed(java.awt.Point mousePoint, boolean mouseOver)`
    `void` | `setEnabled(boolean enabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivationListener

          public ActivationListener(DockbarManager mgr)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### isActive

          public boolean isActive()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isAvailable

          public boolean isAvailable()

    - #### isViewpaneLocked

          public boolean isViewpaneLocked()

    - #### mouseEntered

          public void mouseEntered(java.awt.Point mousePoint)

    - #### mouseExited

          public void mouseExited(java.awt.Point mousePoint)

    - #### mousePressed

          public void mousePressed(java.awt.Point mousePoint,
                          boolean mouseOver)

    - #### lockViewpane

          public void lockViewpane()

    - #### isMouseOver

          public boolean isMouseOver()